<?php

namespace Ulmus\Query;

class Truncate extends Fragment {

    const SQL_TOKEN = "TRUNCATE TABLE";
    
    public int $order = -100;

    public string $table;
    
    public function set(string $tableName) : self
    {
        $this->table = $tableName;
        
        return $this;
    }

    public function render() : string
    {
        return $this->renderSegments([
            static::SQL_TOKEN, $this->table,
        ]);
    }
}
